# List app spaces

Launch stage: Beta

`GET /api/2.0/app-spaces`

Lists all app spaces in the workspace.

API scopes: apps

## Query parameters

- `page_token` (string, optional)
  Pagination token to go to the next page of app spaces. Requests first page if absent.
- `page_size` (int32, optional)
  Upper bound for items returned.

## Returns

Returns a list of Space objects.

## Response

```json
{
  "spaces": [
    {
      "name": "my-space",
      "description": "My app space for team applications.",
      "status": {},
      "id": "string",
      "create_time": "string",
      "creator": "user@test.com",
      "update_time": "string",
      "updater": "user@test.com",
      "resources": [
        {}
      ],
      "user_api_scopes": [
        "string"
      ],
      "effective_user_api_scopes": [
        "string"
      ],
      "service_principal_id": 0,
      "service_principal_name": "string",
      "service_principal_client_id": "string",
      "usage_policy_id": "550e8400-e29b-41d4-a716-446655440000",
      "effective_usage_policy_id": "string"
    }
  ],
  "next_page_token": "string"
}
```

